Results 1 to 2 of 2

Thread: Dwgprops, and vlax functions

  1. #1
    Active Member
    Join Date
    2004-02
    Posts
    60
    Login to Give a bone
    0

    Default Dwgprops, and vlax functions

    I am trying to write a lisp routine that needs to call the comments found under dwgprops. I know that this is able to be accessed via vba and resides at ThisDrawing.Acad.AcadSummaryInfo.Comments.

    Here is what I thought might work
    (vl-load-com)
    (setq #whatever (vlax-get-properties ThisDrawing.Acad.AcadSummaryInfo.Comments))

    This obviously is not the right syntax, mostly because it didn't work


    Anyhelp would be greatly appreciated as always,
    Thanks,
    Jason Self

    P.S. If this double posts I am sorry, I couldn't find what I though I had posted this morning and figured that I didn't actually submit it.

  2. #2
    100 Club
    Join Date
    2000-12
    Posts
    126
    Login to Give a bone
    0

    Default Re: Dwgprops, and vlax functions

    In lisp, it's a multistage task to query objects as it doesn't use the dot syntax that VBA uses. These steps will get you to the Comments property:

    Code:
    (setq acad_app (vlax-get-acad-object)
          activeDoc (vla-get-activeDocument acad_app)
          dwgProps (vla-get-summaryInfo activeDoc)
          comments (vla-get-comments dwgprops)
    )

Similar Threads

  1. Replies: 0
    Last Post: 2012-11-24, 07:38 PM
  2. vlax-curve-... functions
    By David.Hoole in forum AutoLISP
    Replies: 11
    Last Post: 2009-07-17, 10:05 AM
  3. dwgprops dictionary
    By dnovak.90006 in forum AutoLISP
    Replies: 6
    Last Post: 2007-08-22, 12:50 PM
  4. DWGPROPS command
    By elowe494 in forum AutoLISP
    Replies: 2
    Last Post: 2006-01-05, 10:12 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •